using System;
using System.Runtime.Serialization;
using MiniExcelLibs.Attributes;
using SqlSugar;

namespace SlnMesnac.Model.domain
{
    [SugarTable("ScanLog"), Tenant("mes")]
    [DataContract(Name = "ScanLog 扫描日志")]
    public class ScanLogModel
    {
        /// <summary>
        ///  
        ///</summary>
        [ExcelColumnName("标识"), ExcelColumnWidth(15)]
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        [ExcelColumnName("扫描时间"), ExcelColumnWidth(30)]
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }

        [ExcelColumnName("数据类型"), ExcelColumnWidth(15)]
        [SugarColumn(ColumnName = "data_type")]
        public int DataType { get; set; }

        [ExcelColumnName("RFID条码"), ExcelColumnWidth(30)]
        [SugarColumn(ColumnName = "rfid")]
        public string Rfid { get; set; }

        [ExcelColumnName("ATR识别"), ExcelColumnWidth(30)]
        [SugarColumn(ColumnName = "code")]
        public string Code { get; set; }

        [ExcelColumnName("OCR识别"), ExcelColumnWidth(30)]
        [SugarColumn(ColumnName = "ocr")]
        public string Ocr { get; set; }

        [ExcelColumnName("全景图像路径"), ExcelColumnWidth(50)]
        [SugarColumn(ColumnName = "url")]
        public string Url { get; set; }

        //[ExcelColumnName("图像名称"), ExcelColumnWidth(50)]
        //[SugarColumn(ColumnName = "image_name")]
        //public string ImageName { get; set; }


        [ExcelColumnName("结果状态"), ExcelColumnWidth(50)]
        [SugarColumn(ColumnName = "is_ok")]
        public string IsOk { get; set; }

        [ExcelColumnName("最终结果"), ExcelColumnWidth(50)]
        [SugarColumn(ColumnName = "result")]
        public string Result { get; set; }
    }
}